Bug 88601 - Root password installs wrong (german keymapping issue?)
Root password installs wrong (german keymapping issue?)
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-11 06:07 EDT by Onno Timmerman
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-19 08:20:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Onno Timmerman 2003-04-11 06:07:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

Description of problem:
I installed Redhat 9 3 times. 3 times the following problem
Installer ask root password: i gave a correct one
the system is finished installing and asks a username and password.
I gave the same as for root password for the user. 

The system starts:
Want to login as root. -> wrong password???

installation keybord be-latin1 Dutch-belgium

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.root password given correct
2.keybord be-latin1
3.lang= dutch-belgium
4. username and password -> taking the same password as the root user
5. Installation finished. Can't login as root user!
    

Actual Results:  Can't login as root user

Expected Results:  Can login as root user

Additional info:

I dubbel checked to see if i wrote the password wrong. The password is 7 letters
and ending with one number '1'

Installing computer: Acer travelmate 613tx

(ps. the 3d envirment worked on Red Hat 8 but not on red Hat 9)
Comment 1 Michael Fulbright 2003-04-11 15:37:53 EDT
Are there any non-ASCII characters in the password you chose?
Comment 2 Michael Schwendt 2003-04-15 14:02:33 EDT
FWIW, I've noticed a couple of German users reporting the same thing with German
keyboard settings. 

Could it be that Y and Z (or lower-case) are in the password and get swapped due
to US-keyboard being active during installation? (just a guess)
Comment 3 Jeremy Katz 2003-10-15 16:29:35 EDT
I can't reproduce this here at all.  What sort of installation are you doing? 
How are you booting?  Are there any error messages on tty3 or tty4 about loading
the keymap?
Comment 4 Mark J. Cox (Product Security) 2003-12-19 08:20:58 EST
No response, marking closed.  Please reopen if you have more
information to help us reproduce this error.

Note You need to log in before you can comment on or make changes to this bug.